Core - Bug # 31978

Status: Resolved Priority: Should have

Author: Georg Ringer Category: FormEngine aka TCEforms
Created: 2011-11-22 Assigned To:

Updated: 2012-09-30 Due date:

TYPO3 Version: 4.7

PHP Version: 53

Complexity: easy

Is Regression:
Sprint Focus:

Subject: tcaTree: PHP Warning: Missing argument 2 for extDirect_DataProvider_BackendUserSettings::addToList()

Description

the tcatree throws an error every time it is called. | am not into ExtJS and neither into the tcaTree itself but IMO those information

should be enough to fix it.

How to test

Install EXT:news, create at least one category and call either the category record or the plugin - both got a tca tree implemented

Information from debugging

The error comes from class t3lib_ TCEforms_Tree which got an inline JS

expandnode: function(node) {
top. TYPO3.BackendUserSettings.ExtDirect.addToList("tcaTrees." + this.ucld, node.attributes.uid);

Problem is that node.attributes.uid is undefined. This happens with the root node

Using this code to debug

if (node.attributes.uid) {

top. TYPO3.BackendUserSettings.ExtDirect.addToList("tcaTrees." + this.ucld, node.attributes.uid);
}else {

alert(node);

shows 2 alert boxes with:
[Node xnode-27]
[Node root]

Possible solutions
As already stated, | no nothing about ExtJS but there are IMO 2 possible solutions:
1) Use an if clause "if (node.attributes.uid) {"
2) Maybe it is even more simple as IMO it should be node.attributes.id as t3lib_tree_pagetree_DataProvider also uses e.g.

"$node->setld('root’);" The maybe wrong value is also used in TYPO3.Components.Tree.TcaCheckChangeHandler inside tree.js

Related issues:
duplicated by Core - Bug # 26741: Error at renderMode tree

Rejected 2011-05-11

Associated revisions

Revision 5861645d - 2012-09-30 14:46 - Christoph Gerold

[BUGFIX] Do not save expand state for root node in TCA tree

To avoid a PHP warning: Missing argument for
BackendUserSettings::addToList() the expanded state must
not be saved for the tree root node which does not

have a uid property.

Change-Id: [d6d16525cd68e4ec13f36c8d95d2eccOcc1bc794
Resolves: #31978

Releases: 4.5, 4.6, 4.7, 6.0

Reviewed-on: http://review.typo3.org/14285

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision c9558789 - 2012-09-30 14:48 - Christoph Gerold

[BUGFIX] Do not save expand state for root node in TCA tree

To avoid a PHP warning: Missing argument for
BackendUserSettings::addToList() the expanded state must
not be saved for the tree root node which does not

have a uid property.

Change-Id: [d6d16525cd68e4ec13f36c8d95d2eccOcc1bc794
Resolves: #31978

Releases: 4.5, 4.6, 4.7, 6.0

Reviewed-on: http:/review.typo3.org/15168

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 006dc6af - 2012-09-30 14:48 - Christoph Gerold

[BUGFIX] Do not save expand state for root node in TCA tree

To avoid a PHP warning: Missing argument for

BackendUserSettings::addToList() the expanded state must

not be saved for the tree root node which does not

have a uid property.

Change-Id: [d6d16525cd68e4ec13f36c8d95d2eccOcc1bc794
http://review.typo3.org/14285
http://review.typo3.org/15168

Resolves: #31978
Releases: 4.5, 4.6, 4.7, 6.0
Reviewed-on: http://review.typo3.org/15170

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 6139eaf8 - 2012-09-30 14:48 - Christoph Gerold

[BUGFIX] Do not save expand state for root node in TCA tree

To avoid a PHP warning: Missing argument for
BackendUserSettings::addToList() the expanded state must
not be saved for the tree root node which does not

have a uid property.

Change-Id: Id6d16525cd68e4ec13f36c8d95d2eccOcc1bc794
Resolves: #31978

Releases: 4.5, 4.6, 4.7, 6.0

Reviewed-on: http://review.typo3.org/15171

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-01-24 15:40 - Ernesto Baschny
- Target version changed from 4.5.8 to 4.5.12

#2 - 2012-09-02 12:53 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.

It is available at http://review.typo3.org/14285

#3 - 2012-09-30 14:23 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15168

#4 - 2012-09-30 14:26 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-7 has been pushed to the review server.

It is available at http://review.typo3.org/14285

#5 - 2012-09-30 14:28 - Gerrit Code Review
Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.

It is available at http://review.typo3.org/15170

#6 - 2012-09-30 14:29 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at http://review.typo3.org/15171

#7 - 2012-09-30 14:29 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-5 has been pushed to the review server.

It is available at http://review.typo3.org/15171

#8 - 2012-09-30 14:30 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-6 has been pushed to the review server.

It is available at http://review.typo3.org/15170

#9 - 2012-09-30 14:35 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-7 has been pushed to the review server.

It is available at http://review.typo3.org/14285

#10 - 2012-09-30 14:35 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-6 has been pushed to the review server.

It is available at http://review.typo3.org/15170

#11 - 2012-09-30 14:36 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-5 has been pushed to the review server.

It is available at http://review.typo3.org/15171

#12 - 2012-09-30 14:38 - Gerrit Code Review

Patch set 4 for branch TYPO3_4-7 has been pushed to the review server.

It is available at http://review.typo3.org/14285

#13 - 2012-09-30 14:41 - Gerrit Code Review

Patch set 4 for branch TYPO3_4-6 has been pushed to the review server.

It is available at http://review.typo3.org/15170

#14 - 2012-09-30 15:30 - Christoph Gerold

2015-08-04

4/5


http://review.typo3.org/15170
http://review.typo3.org/15171
http://review.typo3.org/15171
http://review.typo3.org/15170
http://review.typo3.org/14285
http://review.typo3.org/15170
http://review.typo3.org/15171
http://review.typo3.org/14285
http://review.typo3.org/15170

- Status changed from Under Review to Resolved
- % Done changed from 20 to 100

Applied in changeset commit:6139eaf834b23945635d882380040857f059b2e2.
